<?php

namespace App\Http\Controllers\Admin;

use App\Model\User;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Input;

class UserController extends CommonController
{
//    用户列表
    public function user_list()
    {
        $data = User::orderby('id','desc')->paginate(20);
        return view('admin.user.userlist',compact('data'));
    }

//    编辑用户
    public function edit($user_id)
    {
        $data = User::find($user_id);
        return view('admin.user.edit',compact('data'));
    }
    
//    更新用户信息
    public function update($user_id)
    {
        $input = Input::except('_token','_method');
        $re = User::where('id',$user_id)->update($input);
        if($re){
            return redirect('/user_list');
        }else{
            return back()->with('errors','用户信息更新失败，请稍后重试!');
        }
    }

}
